Replace existing properties (bulk PUT)
curl --request PUT \
--url https://{host}/subscriptions/{platformType}/properties \
--header 'Content-Type: application/json' \
--data '
[
{
"propertyRef": "<string>",
"propertyName": "<string>",
"aliasName": "<string>",
"owner": "<string>"
}
]
'import requests
url = "https://{host}/subscriptions/{platformType}/properties"
payload = [
{
"propertyRef": "<string>",
"propertyName": "<string>",
"aliasName": "<string>",
"owner": "<string>"
}
]
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify([
{
propertyRef: '<string>',
propertyName: '<string>',
aliasName: '<string>',
owner: '<string>'
}
])
};
fetch('https://{host}/subscriptions/{platformType}/properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"propertyRef": "<string>",
"propertyName": "<string>",
"aliasName": "<string>",
"owner": "<string>"
}
]Subscriptions: Properties
Replace existing properties (bulk PUT)
Replaces parameters for existing properties.
You must supply all parameters required by each property.
Admins may promote private→global by setting owner: "". Bulk edit is all-or-nothing.
PUT
/
subscriptions
/
{platformType}
/
properties
Replace existing properties (bulk PUT)
Path Parameters
Platform catalog (cloud or containers).
Available options:
cloud, containers Body
application/json
Response
200 - application/json
Updated properties
⌘I

